Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Urban Terror 4.1 won't start
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
cynric
Guru
Guru


Joined: 08 Oct 2004
Posts: 439
Location: Little Rock, AR

PostPosted: Mon Jan 07, 2008 6:30 pm    Post subject: [solved] Urban Terror 4.1 won't start Reply with quote

Last night I installed 4.1 over my existing 4.0 installation. The install seemed to go ok aside from some "!!! CATEGORY file is missing: /var/db/pkg/games-fps/quake3-urbanterror-4.0/CATEGORY" errors when removing the 4.0 version post install. I renamed my old home config as suggested on the Urban Terror site.

When running quake3-ut4, no errors seem to show up in the console, but the game boots into the standard Q3A. UrT is not listed on the mods page. There was mention of some path changing in the new install for quake3-urbanterror on bugzilla. The page seemed to indicate that ioUrbanTerror doesn't have the problem. The files do appear to be /usr/share/games/quake3/UrbanTerror/ instead of the old /usr/share/games/quake3/q3ut4/. What exactly needs to be changed to coerce the new version into playing? I could probably reinstall 4.0 and look at it's dir path, but if something has changed in the binary then that may not help (plus, it's an hour download).

Any ideas would be great. If nothing comes through, guess I'll go with the ioUrT install.
_________________
"This Snow Crash thing -- is it a virus, a drug, or a religion?" "What's the difference?"
-- Neal Stephenson - Snow Crash


Last edited by cynric on Mon Jan 21, 2008 1:19 am; edited 1 time in total
Back to top
View user's profile Send private message
cynric
Guru
Guru


Joined: 08 Oct 2004
Posts: 439
Location: Little Rock, AR

PostPosted: Wed Jan 09, 2008 3:47 am    Post subject: Reply with quote

Here's an update. I installed ioUrbanTerror which depends on quake3-urbanterror hoping that perhaps it would work. Running /opt/ioUrbanTerror-bin-1.0/ioUrbanTerror.i386 produces the following:
Code:
/usr/games/bin/ioUrbanTerror-bin: line 10: /opt/ioUrbanTerror-bin-1.0/ioUrbanTerror.i386: No such file or directory
/usr/games/bin/ioUrbanTerror-bin: line 10: /opt/ioUrbanTerror-bin-1.0/ioUrbanTerror.i386: Success


The path for the q3ut4 symlink in /opt/ioUrbanTerror-bin-1.0/ points to /usr/share/games/quake3/UrbanTerror/q3ut4 so I don't guess it is a path problem after all. Running the old quake3-ut4 binary results in the just launch Q3A as before.

The bunch hanging out on UrT's IRC were a bit confused so I'm guessing it's a problem with my config or perhaps the install. I haven't seen any success stories on the version bump request bugzilla page so maybe it isn't just me. I am running amd64 without multilib so the problem could be there. When my desktop clutter clears a bit I'll try rebooting to see if it's an underlying library update issue.
_________________
"This Snow Crash thing -- is it a virus, a drug, or a religion?" "What's the difference?"
-- Neal Stephenson - Snow Crash
Back to top
View user's profile Send private message
cynric
Guru
Guru


Joined: 08 Oct 2004
Posts: 439
Location: Little Rock, AR

PostPosted: Mon Jan 21, 2008 1:18 am    Post subject: Reply with quote

After reverting back to a multilib system, ioUrT works -- apparently it requires emul-linux-x86-sdl. Still working on fixing an issue with Q3A and quake3-urt, but I'd imagine it's going to be a similar problem.
_________________
"This Snow Crash thing -- is it a virus, a drug, or a religion?" "What's the difference?"
-- Neal Stephenson - Snow Crash
Back to top
View user's profile Send private message
scaramanga
Apprentice
Apprentice


Joined: 31 May 2005
Posts: 160

PostPosted: Wed Feb 06, 2008 12:43 pm    Post subject: Reply with quote

For the record, it works like a charm here. An ioUrbanTerror entry popped up in my Kmenu, and it starts UrT4.1 nicely. The command is "ioUrbanTerror-bin"

Machine info;
tux stig # emerge --info
Portage 2.1.3.19 (default-linux/x86/2006.1, gcc-4.1.2, glibc-2.6.1-r0, 2.6.21-gentoo-r4 i686)
=================================================================
System uname: 2.6.21-gentoo-r4 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
Timestamp of tree: Wed, 06 Feb 2008 08:00:03 +0000
app-shells/bash: 3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python: 2.3.5-r3, 2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox: 1.2.18.1-r2
sys-devel/autoconf: 2.13, 2.61-r1
sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils: 2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool: 1.5.24
virtual/os-headers: 2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.uni-c.dk/pub/gentoo/ http://130.59.10.35/ftp/mirror/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LINGUAS="da"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X accessibility alsa arts audiofile avi berkdb bitmap-fonts bzip2 cddb cdparanoia cdr cli cracklib crypt cups dbus dga divx4linux dri dvd dvdread encode firefox flash foomaticdb fortran freetype gdbm gif gphoto2 gpm gtk gtk2 iconv imlib ipv6 isdnlog java javascript jpeg kde lm_sensors mad midi mikmod mmx mp3 mpeg mplayer mudflap ncurses network nls nptl nptlonly nsplugin ogg openal opengl openmp oss pam pcre pdf perl png ppds pppd python qt3 qt4 quicktime readline reflection samba scanner sdl session spell spl sse sse2 ssl svga tcpd tetex threads tiff truetype truetype-fonts type1-fonts unicode usb v41 v412 vorbis win32codecs x86 xcomposite xorg xscreensaver xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="da" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
lubri
n00b
n00b


Joined: 27 Feb 2008
Posts: 1

PostPosted: Wed Feb 27, 2008 4:36 pm    Post subject: UT4.1 crash Reply with quote

Hello, My ut4.1 regularly crashes. So does my quake 3 arena.

I have the newest drivers of my Geforce GS 7600
I didn't have it with my older 3d card an FX 5200

I've heard that many people have this problem, anyone know the solution?
Back to top
View user's profile Send private message
KAMIKAZE_
Apprentice
Apprentice


Joined: 09 Oct 2003
Posts: 293
Location: Riga, Latvia

PostPosted: Thu Mar 13, 2008 11:49 am    Post subject: Reply with quote

How can I emerge it and use with amd64 nomultilib profile? any suggestions?
_________________
-=[powered by Gentoo]=-
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum